Update Tenant By Id
curl --request PATCH \
--url https://api.pathstack.io/tenant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configuration": {
"providers": [],
"api_version": "2023-12-25"
},
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"toc_link": "<string>",
"privacy_link": "<string>"
}
'import requests
url = "https://api.pathstack.io/tenant"
payload = {
"configuration": {
"providers": [],
"api_version": "2023-12-25"
},
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"toc_link": "<string>",
"privacy_link": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configuration: {providers: [], api_version: '2023-12-25'},
name: '<string>',
description: '<string>',
logo_url: '<string>',
toc_link: '<string>',
privacy_link: '<string>'
})
};
fetch('https://api.pathstack.io/tenant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"toc_link": "<string>",
"privacy_link": "<string>",
"id": "<string>",
"connection_url": "<string>",
"configuration": {
"providers": [],
"api_version": "2023-12-25"
}
}
}{
"error": {
"code": 400,
"message": "Invalid JWT format"
}
}{
"error": {
"code": 401,
"message": "Authentication header is missing, or token is invalid/expired."
}
}{
"error": {
"code": 403,
"message": "You do not have access to this resource"
}
}{
"error": {
"code": 404,
"message": "Device with ID <device_id> not found"
}
}{
"error": {
"code": 422,
"message": "Field required",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
}Tenants
Update Tenant By Id
This endpoint updates a Tenant.
You can specify the attributes which you want to be updated and their new values.
The updated Tenant is returned in the response.
PATCH
/
tenant
Update Tenant By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
Successful response payload
Show child attributes
Show child attributes
⌘I

